###########################################################################
# Insert one TMS320VC2800 CPU into JTAG chain
# with emulator as parent 
###########################################################################
set DEV0 [ xds add TMS320C2800 $EMU ]

###########################################################################
# Select $DEV0 CPU as target device DEV, to which flash/EEPROM is connected
###########################################################################
set DEV $DEV0

###########################################################################
# CPU clock frequency
###########################################################################
set quarz_frequency 20000000

##############################################################
# CSM unlock password
#
set csm_password { 0xFFFF 0xFFFF 0xFFFF 0xFFFF 0xFFFF 0xFFFF 0xFFFF 0xFFFF }

#
# Uncomment this to enable flash keys reprogramming
# WARNING! DANGEROUS!
#
# set EnableKeysProgramming 0x12345678

###########################################################################
# change this proc according to schematic of your
# board to initialize all of the environment of EEPROM/Flash
# for correct programming
###########################################################################
proc UserInitCPUEnv { dev } {

  upvar 1 flash_type flash_type

}

###########################################################################
# change this proc according to schematic of your
# board to reset all of the environment of EEPROM/Flash
# for normal operation after programming
###########################################################################
proc UserFinishCPUEnv { dev } {

  upvar 1 flash_type flash_type

}
